Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.persister
Class FastBuildDefinitionDirectoryMapper

    java.lang.Object
      com.atlassian.bamboo.persister.FastBuildDefinitionDirectoryMapper

    public class FastBuildDefinitionDirectoryMapper

extends Object

This class allocates and keeps track of which builds are stored in which directories.

Nested Class Summary
`class` | `FastBuildDefinitionDirectoryMapper.FastBuildDetails`

Constructor Summary
`FastBuildDefinitionDirectoryMapper(File buildDirectory)`

Method Summary
`String` | `addBuild(Build build)` Adds the build name to the build mapper.
`String` | `addBuild(String buildName, String buildDirName)` Map the given buildName to the given buildDirName
`void` | `addBuildBuildResults(String buildName, long buildNumber, String buildFile)`
`String` | `getBuildBuildFile(String buildName, long buildNumber)`
`FastBuildDefinitionDirectoryMapper.FastBuildDetails` | `getBuildDetails(String buildName)`
`File` | `getBuildDirectory()`
`String` | `getBuildDirectory(String buildName)` Where's given buildName's files stored?
`Iterator` | `getBuildIterator()`
`int` | `getNumberOfMappedBuilds()`
`void` | `removeBuild(String buildName)` Remove the given build from the map
`void` | `removeBuildBuildResults(String buildName, long buildNumber)` Removed the build file map for the given buildNumber from the given buildName
`void` | `setBuildDirectory(File buildDirectory)` Lets you override the system build directory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastBuildDefinitionDirectoryMapper

    public FastBuildDefinitionDirectoryMapper(File buildDirectory)

Method Detail

### getBuildDirectory

    public String getBuildDirectory(String buildName)

  Where's given buildName's files stored?

  Parameters:
    `buildName` - The name of the build
  Returns:
    the directory, relative to the system's build directory

### addBuild

    public String addBuild(Build build)

  Adds the build name to the build mapper. Ignores the map if the filename already exists

  Parameters:
    `build` - The build to be added to the map
  Returns:
    The build directory for this build

### addBuild

    public String addBuild(String buildName,
                           String buildDirName)

  Map the given buildName to the given buildDirName

  Parameters:
    `buildName` - The name of the build
    `buildDirName` - The build's directory
  Returns:
    The build's directory, relative to the system's build directory

### removeBuild

    public void removeBuild(String buildName)

  Remove the given build from the map

  Parameters:
    `buildName` - The name of the build to be removed

### getBuildIterator

    public Iterator getBuildIterator()

### setBuildDirectory

    public void setBuildDirectory(File buildDirectory)

  Lets you override the system build directory

  Parameters:
    `buildDirectory` - The latest build directoryć

### getBuildDirectory

    public File getBuildDirectory()

### addBuildBuildResults

    public void addBuildBuildResults(String buildName,
                                     long buildNumber,
                                     String buildFile)

### getBuildBuildFile

    public String getBuildBuildFile(String buildName,
                                    long buildNumber)

### getBuildDetails

    public FastBuildDefinitionDirectoryMapper.FastBuildDetails getBuildDetails(String buildName)

### removeBuildBuildResults

    public void removeBuildBuildResults(String buildName,
                                        long buildNumber)

  Removed the build file map for the given buildNumber from the given buildName

  Parameters:
    `buildName` - The name of the build
    `buildNumber` - The number of the build to be removed

### getNumberOfMappedBuilds

    public int getNumberOfMappedBuilds()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.